Subject: Re: perl 5.8.1: perldoc perl fails
From: Jörg Schaible <[email-masked]>
To: <[email-masked]>
Date: Sat, 28 Dec 2002 19:00:34 +0100

Hi Gerrit,

> perldoc perl.pod works well

Meanwhile I found out that too.

> Yes,  please fix it :-)

rm /bin/perl.exe
<g>

> I just figured that calling: perldoc perl.pod works well.
> I tried to understand what happens in the perldoc script
> and I have no idea why it doesn't work.  And most
> interesting is that it works with perl 5.6.1.

It seems to be related with the new perl IO functions and Cygwin's changes in handling executable files. I *assume* that perldoc is looking for an executable "perl" in the path (call perldoc with option -v) and finds - reported by Cygwin - perl.exe. Opening "perl" obviously fails then in function "containspod" of perldoc.

You can recreate the problem with any other perl.pod topic by creating a appropriate executable, e.g. just copy /bin/perldoc to /bin/perlintro.exe and call "perldoc perlintro". As workaround call perl.pod with extension (as your recommendatiuon above) or delete /bin/perl.exe and create a link from /bin/perl5.8.0.exe to /bin/perl.

Regards,
Jörg

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/